<?
session_start();
require("conectar.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
     <head>
	     <style>
		     .tabla{font-family:arial;}
	     </style>
		 <script>
		     function valida(){
			     var no=document.getElementById("noCuenta");
			     var cl=document.getElementById("clabe");
			     var bn=document.getElementById("beneficiario");
				 if(no.value==""){alert("Indique el numero de cuenta");no.focus();return false;}
				 if(cl.value==""){alert("Indique la clabe  interbancaria");cl.focus();return false;}
				 if(bn.value==""){alert("Indique el beneficiario");bn.focus();return false;}
			 }
		 </script>
     </head>
     <body>
	     <?
		     if(isset($_POST["registro"])){
			     $no=$_POST["noCuenta"];
			     $clabe=$_POST["clabe"];
			     $beneficiario=$_POST["beneficiario"];
				 $sql="SELECT * FROM cuentasBancarias WHERE cuenta='$no'";
				 $r=mysql_query($sql);
				 if(mysql_num_rows($r)==0){
				     $sql="INSERT INTO cuentasBancarias(id_cuenta,beneficiario,cuenta,clabe) VALUES ('','$beneficiario','$no','$clabe')";
					 if(mysql_query($sql)){
					     ?>
						 <script>
						     alert("El registro se completo correctamente");
						 </script>
						 <?
					 }else{
					 ?>
					     <script>
						     alert("Hubo un error inesperado al realizar el registro, intente de nuevo");
						 </script>
					 <?
					 }
				 }else{
				    ?>
					     <script>
						     alert("Ya existe un registro con ese numero de cuenta");
						 </script>
					 <?
				 }
			 }
		 ?> 
	     <form name="regcuentas" method="POST" action="regcuentasbanc.php" onsubmit="return valida();">
        <center>	     
		 <table class="tabla">
		     <tr>
			     <td colspan="2" align="center">Registro de cuentas bancarias</td>
			 </tr>
			 <tr>
			     <td>No Cuenta: </td><td><input type="text" name="noCuenta" id="noCuenta" AUTOCOMPLETE="off"></td>
			 </tr>
			 <tr>
			     <td>Clabe: </td><td><input type="text" name="clabe" id="clabe" AUTOCOMPLETE="off"></td>
			 </tr>
			  <tr>
			     <td>Beneficiario: </td><td><input type="text" name="beneficiario" id="beneficiario" AUTOCOMPLETE="off"></td>
			 </tr>
			 <tr>
			     <td align="center" colspan="2"><input type="submit" name="registro" id="registro" value="guardar"></td>
			 </tr>
		  </table>
		 </center>
		 </form>
     </body>
</html>